Skip to main content
POST
/
accounts
/
{account_id}
/
transfers
curl --request POST \
  --url https://api.brale.xyz/accounts/{account_id}/transfers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "amount": {
    "value": "2500",
    "currency": "USD"
  },
  "source": {
    "address_id": "addr_ach_debit",
    "value_type": "USD",
    "transfer_type": "ach_debit"
  },
  "destination": {
    "address_id": "addr_solana_internal",
    "value_type": "SBC",
    "transfer_type": "solana"
  }
}
'
{
  "id": "9f80c1f5-80df-4c5e-9b68-b9f5712d46d4"
}
Use the playground below to try this endpoint directly, or review the OpenAPI details in the right panel.

Authorizations

Authorization
string
header
required

Use the Bearer token returned from the Auth endpoint via OAuth2 client_credentials flow. Include the token in the "Authorization: Bearer " header.

Headers

Idempotency-Key
string
required

A unique string used to prevent duplicate operations. Each POST request must use a new idempotency key. Use a UUIDv4 string. Example: idemp-123e4567-e89b-12d3-a456-426614174000

Path Parameters

account_id
string<ksuid>
required

The ID of the account

Pattern: ^[a-zA-Z0-9]{26}$
Example:

"2VcUIIsgARwVbEGlIYbhg6fGG57"

Body

application/json
amount
Amount · object
required

Monetary value with explicit currency

source
PaymentData · object
required
destination
PaymentData · object
required
brand
object
note
string

Response

201 - */*

Transfer successfully created

id
string<uuid>
Example:

"9f80c1f5-80df-4c5e-9b68-b9f5712d46d4"